test: alpha/psldt.c File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# psldt.c File Reference

`#include "psp.h"`

Go to the source code of this file.

## Functions

NTSTATUS | PspQueryLdtInformation (IN PEPROCESS Process, OUT PVOID LdtInformation, IN ULONG LdtInformationLength, OUT PULONG ReturnLength)
NTSTATUS | PspSetLdtSize (IN PEPROCESS Process, IN PVOID LdtSize, IN ULONG LdtSizeLength)
NTSTATUS | PspSetLdtInformation (IN PEPROCESS Process, IN PVOID LdtInformation, IN ULONG LdtInformationLength)
NTSTATUS | PspQueryDescriptorThread (PETHREAD Thread, PVOID ThreadInformation, ULONG ThreadInformationLength, PULONG ReturnLength)
VOID | PspDeleteLdt (IN PEPROCESS Process)
NTSTATUS | NtSetLdtEntries (IN ULONG Selector0, IN ULONG Entry0Low, IN ULONG Entry0Hi, IN ULONG Selector1, IN ULONG Entry1Low, IN ULONG Entry1High)

## Function Documentation

NTSTATUS NtSetLdtEntries | ( | IN ULONG | Selector0,
|  | IN ULONG | Entry0Low,
|  | IN ULONG | Entry0Hi,
|  | IN ULONG | Selector1,
|  | IN ULONG | Entry1Low,
|  | IN ULONG | Entry1High
| ) |

Definition at line 161 of file alpha/psldt.c.

    00169 {
    00170     return STATUS_NOT_IMPLEMENTED;
    00171 }

VOID PspDeleteLdt | ( | IN PEPROCESS | Process | ) |

Definition at line 140 of file alpha/psldt.c.

    00145                    :
    00146
    00147     This is a stub for the Ldt delete routine
    00148
    00149 Arguments:
    00150
    00151     Process -- Supplies a pointer to the process
    00152
    00153 Return Value:
    00154
    00155     None
    00156 --*/
    00157 {
    00158 }

NTSTATUS PspQueryDescriptorThread | ( | PETHREAD | Thread,
|  | PVOID | ThreadInformation,
|  | ULONG | ThreadInformationLength,
|  | PULONG | ReturnLength
| ) |

Definition at line 112 of file alpha/psldt.c.

    00120                    :
    00121
    00122     This function returns STATUS_NOT_IMPLEMENTED
    00123
    00124 Arguments:
    00125
    00126     Thread -- Supplies a pointer to the thread.
    00127     ThreadInformation -- Supplies information on the descriptor.
    00128     ThreadInformationLength -- Supplies the length of the information.
    00129     ReturnLength -- Returns the number of bytes returned.
    00130
    00131 Return Value:
    00132
    00133     STATUS_NOT_IMPLEMENTED
    00134 --*/
    00135 {
    00136     return STATUS_NOT_IMPLEMENTED;
    00137 }

NTSTATUS PspQueryLdtInformation | ( | IN PEPROCESS | Process,
|  | OUT PVOID | LdtInformation,
|  | IN ULONG | LdtInformationLength,
|  | OUT PULONG | ReturnLength
| ) |

Definition at line 25 of file alpha/psldt.c.

    00033                    :
    00034
    00035     This routine returns STATUS_NOT_IMPLEMENTED
    00036
    00037 Arguments:
    00038
    00039     Process -- Supplies a pointer to the process to return LDT info for
    00040     LdtInformation -- Supplies a pointer to the buffer
    00041     ReturnLength -- Returns the number of bytes put into the buffer
    00042
    00043 Return Value:
    00044
    00045     STATUS_NOT_IMPLEMENTED
    00046 --*/
    00047 {
    00048     return STATUS_NOT_IMPLEMENTED;
    00049 }

NTSTATUS PspSetLdtInformation | ( | IN PEPROCESS | Process,
|  | IN PVOID | LdtInformation,
|  | IN ULONG | LdtInformationLength
| ) |

Definition at line 81 of file alpha/psldt.c.

    00089                    :
    00090
    00091     This function returns STATUS_NOT_IMPLEMENTED
    00092
    00093 Arguments:
    00094
    00095     Process -- Supplies a pointer to the process whose Ldt is to be modified
    00096     LdtInformation -- Supplies a pointer to the information about the Ldt
    00097         modifications
    00098     LdtInformationLength -- Supplies the length of the LdtInformation
    00099         structure.
    00100 Return Value:
    00101
    00102
    00103 Return Value:
    00104
    00105     STATUS_NOT_IMPLEMENTED
    00106 --*/
    00107 {
    00108     return STATUS_NOT_IMPLEMENTED;
    00109 }

NTSTATUS PspSetLdtSize | ( | IN PEPROCESS | Process,
|  | IN PVOID | LdtSize,
|  | IN ULONG | LdtSizeLength
| ) |

Definition at line 53 of file alpha/psldt.c.

    00061                    :
    00062
    00063     This function returns STATUS_NOT_IMPLEMENTED
    00064
    00065 Arguments:
    00066
    00067     Process -- Supplies a pointer to the process whose Ldt is to be sized
    00068     LdtSize -- Supplies a pointer to the size information
    00069
    00070
    00071 Return Value:
    00072
    00073     STATUS_NOT_IMPLEMENTED
    00074 --*/
    00075 {
    00076     return STATUS_NOT_IMPLEMENTED;
    00077 }